package com.idea.invoice.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class InvoiceBank implements Serializable {
    private String id;

    private String bankName;

    private String bankBranchName;

    private String bankNumber;

    private String suitFloor;

    private String suitFloorStr;

    private String suitCostType;

    private String createUser;

    private Date createTime;

    private String updateUser;

    private Date updateTime;

    private String taxRate;

    private static final long serialVersionUID = 1L;

    /**
     * 非数据库字段
     */
    private String infos;
    private String suitCostTypeStr;

}