package com.idea.workPanel.vo;

import com.idea.workPanel.enume.HandleTypeEnum;
import com.idea.workPanel.enume.ReadTypeEnum;
import lombok.Data;

@Data
public class ParkWorkCountVo {
    public Integer key;
    public String name;
    public String url;
    public Integer quantity;

    public ParkWorkCountVo(Integer key, Integer quantity, int type) {
        this.key = key;
        this.quantity = quantity;
        if(0==type){
            HandleTypeEnum en = HandleTypeEnum.getNameByValue(key);
            if(null != en){
                this.name = en.getName();
                this.url = en.getUrl();
            }
        }else{
            ReadTypeEnum en = ReadTypeEnum.getNameByValue(key);
            if(null != en){
                this.name = en.getName();
                this.url = en.getUrl();
            }
        }


    }
}
