package com.idea.search.pojo;

import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

import javax.persistence.Id;

@Document(indexName = "user_record", type = "docs")
public class UserRecord {

    //日常表id
    @Id
    @Field(index = true,store = true,type = FieldType.Keyword)
    private String id;
    @Field(index = true,store = true,type = FieldType.Keyword)
    private String username;
    @Field(index = true,store = true,type = FieldType.Keyword)
    private String truename;
    @Field(index = true,store = true,type = FieldType.Keyword)
    private String staffCode;
    @Field(index = true,store = true,type = FieldType.Keyword)
    private String phone;
    @Field(index = true,store = true,type = FieldType.Double)
    private String sequenceNo;
    @Field(index = true,store = true,type = FieldType.Keyword)
    private String createdat;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getTruename() {
        return truename;
    }

    public void setTruename(String truename) {
        this.truename = truename;
    }

    public String getStaffCode() {
        return staffCode;
    }

    public void setStaffCode(String staffCode) {
        this.staffCode = staffCode;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSequenceNo() {
        return sequenceNo;
    }

    public void setSequenceNo(String sequenceNo) {
        this.sequenceNo = sequenceNo;
    }

    public String getCreatedat() {
        return createdat;
    }

    public void setCreatedat(String createdat) {
        this.createdat = createdat;
    }
}
