package com.idea.buildManage.model;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class ParkFloorDisc implements Serializable {
    private String id;

    private String name;

    private String groupId;

    private BigDecimal unitPrice;

    private BigDecimal propertyUnitPrice;

    private BigDecimal maintenanceFunds;

    private BigDecimal subscriptionFunds;

    private Double proportion;

    private Integer paymentMethods;

    private String createdId;

    private Date createdAt;

    private String updatedId;

    private Date updatedAt;

    private String orderNum;

    private static final long serialVersionUID = 1L;


}