package com.idea.paymentManagement.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class RefundManage implements Serializable {
    private String id;

    private String houseId;

    private String contractId;

    private String customerManagementId;

    private String approvalNumber;

    private String applicant;

    private String identityCard;

    private Integer reason;

    private String buyerName;

    private BigDecimal refundAmount;

    private BigDecimal actualRefundAmount;

    private BigDecimal deductible;

    private String bankNumber;

    private String createdId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createdAt;

    private Date updatedAt;

    private String updatedId;

    private String remark;

    private String fileList;

    private Integer isHide;

    private String houseName;

    private static final long serialVersionUID = 1L;

}